<?php

namespace SyTryC\CountRobots\Repository;

class SessionActivity extends XFCP_SessionActivity
{
	public function getOnlineCounts($onlineCutOff = null)
	{
		$counts = parent::getOnlineCounts($onlineCutOff);
		
		if ($onlineCutOff === null)
		{
			$onlineCutOff = \XF::$time - $this->options()->onlineStatusTimeout * 60;
		}

		$robots = $this->db()->fetchRow("
			SELECT
				SUM(IF(robot_key <> '', 1, 0)) AS robots
			FROM xf_session_activity
			WHERE view_date >= ?
		", $onlineCutOff);

		$counts['robots'] = $robots['robots'];
		$counts['total'] += $counts['robots'];

		return $counts;
	}
}